%define	name	xmms-crossfade
%define	version	0.2.4
%define	release	1
%define	prefix	/usr

Summary:	XMMS Crossfade Plugin                                                           
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://www.netcologne.de/~nc-eisenlpe2/xmms-crossfade/
Vendor:		Peter Eisenlohr <p.eisenlohr@gmx.net>                                        
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	xmms >= 1.0.1, gtk+ >= 1.2.7
BuildPrereq:	xmms-devel, gtk+-devel >= 1.2.7

%description
XMMS Output Plugin for Crossfading / Continuous Output.
Features Include:
* Crossfading
* Continuous output
* Gap-Killer: Some mp3-encoders produce small gaps of silence
  at the beginning or end of the stream. These can automatically
  be detected and removed.

%prep
%setup -q
export CFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

%build
make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib/xmms
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{prefix}/lib/xmms/Output/libcrossfade.*

%changelog
* Mon Mar 12 2001 Ryan Weaver <ryanw@infohwy.com>
  [xmms-crossfade-0.2.4-1]
- Added the option to fade in/out at the beginning/end of playback.
- Added optimizations for latency and quality. The new fadeout
  option allows you to avoid the loud knacks some soundcards produce
  when suddenly being stopped.
- Bugfixes (inserting pauses, playing small files)

* Tue Jan  2 2001 Ryan Weaver <ryanw@infohwy.com>
  [xmms-crossfade-0.2.3-1]
- Added automatic album songchange detection. XMMS-crossfade can now
  detect pre-faded tracks (like on live albums or some compilations)
  and automatically disable crossfading. 
- Fixed a bug which caused the Leading gap length setting not to be saved. 
- Fixed automatic buffer size calculation. 
- Minor, mostly cosmetic updates of the configuration dialog. 
- Configure script updates. 

* Sat Dec  2 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-crossfade-0.2.2-1]
- Just some small bugfixes. See the ChangeLog for details.

* Tue Nov 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-crossfade-0.2.1-1]
- Automatic buffer size calculation
- Force close/reopen of output plugin during crossfade.
  This is useful with the disk_writer plugin.
- Bugfixes

* Sat Nov 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [xmms-crossfade-0.2-1]
- Use any existing output Plugin
- Set crossfading parameters separately for  manual and automatic
  songchange
- Set fade length/volume separately for fade-in and out
- Almost complete rewrite of the code. A few new files have been
  added. Some routines have been separated from the main code and
  put into separate files (oss.c, rate.c, format.c, effect.c).

* Fri Jun 30 2000 Ryan Weaver <ryanw@infohwy.com>
- initial RPM Build.
  [xmms-crossfade-0.1.1-1]
- Fixed effect plugin handling. All effects which used the
  query_format() callback did not work, including QSound iQ.
  Also, effects are now applied after crossfading and synchronous
  to device output. The LiveIce plugin will work now, too.
  Thanx to Olle Hllns and Jamie Zawinski for help on this one.
- Fixed a bug which could cause crashes when saving config
- Fixed a crash when crossfading between slow inputs
  (like a cdrom spinning up)
- Closing the monitor window no longer unchecks the "Show Buffer
  Monitor" option in the configuration dialog
- Fixed bad synchronization with analyzer/visualization output.
  Also changed "Known Bugs": The analyzer will always work, even
  with no buffers at all.
- Enabled crossfading on manual songchange!
  This has been requested by numerous people.
- Added support for arbitrary rates. Now it is possible to play
  files with rates other than the standard 11025, 22050 and 44100.
  Thanx to Thomas Nilsson for reporting.
- Changed default buffer sizes to 2500/750.
- Moved Credits from AUTHORS to README

  [xmms-crossfade-0.1.1-1]
- Initial release

